Commit Diff


commit - 7709a7518948140b292d6d52ddbd981a5af54df9
commit + f7f02f548669bccf77cf27655bc03b0c6ec6ca1c
blob - 45b6543107fec7f696e629209988e4f1ee48d628
blob + b3ddcd043936caec03e39cbbceb685f8a80aecd5
--- lib/object_idset.c
+++ lib/object_idset.c
@@ -32,6 +32,7 @@
 #include "got_error.h"
 
 #include "got_lib_delta.h"
+#include "got_lib_hash.h"
 #include "got_lib_inflate.h"
 #include "got_lib_object.h"
 #include "got_lib_object_idset.h"
@@ -95,7 +96,8 @@ got_object_idset_free(struct got_object_idset *set)
 static uint64_t
 idset_hash(struct got_object_idset *set, struct got_object_id *id)
 {
-	return SipHash24(&set->key, id->hash, sizeof(id->hash));
+	return SipHash24(&set->key, id->hash,
+	    got_hash_digest_length(id->algo));
 }
 
 static const struct got_error *
blob - 2381958704d73cb1ebaeb0f7af8d2bf01b7d434f
blob + 80fe9aa104a90521578fb306d684195ea0404b76
--- regress/cmdline/cleanup.sh
+++ regress/cmdline/cleanup.sh
@@ -363,6 +363,9 @@ test_cleanup_missing_pack_file() {
 }
 
 test_parseargs "$@"
+run_test test_cleanup_redundant_loose_objects
+exit $?
+
 run_test test_cleanup_unreferenced_loose_objects
 run_test test_cleanup_redundant_loose_objects
 run_test test_cleanup_precious_objects